﻿###########################################
##  BackRaw's Notifications-Script v1.1  ##
##           by BackRaw                  ##
###########################################

import es
import cfglib, gamethread, playerlib

config = cfglib.AddonCFG(es.getAddonPath('notifications') + '/notifications.cfg')

config.text('********************************')
config.text('* Notifications v 1.1 Settings *')
config.text('********************************')

website_enable = config.cvar('website_enable', 1, 'Webseiten-Werbung ein/aus')
website = config.cvar('website', 'Website', 'Name deiner Webseite hier')
ff = config.cvar('ff', 1, 'ff (Friendly Fire) Befehl ein/aus - die Spieler können sehen ob Friendly Fire aus oder an ist, wenn sie "ff" in den Chat schreiben')
rate_player = config.cvar('rate_player', 1, '!rates Befehl ein/aus - die Spieler können sehen wie ihre eigenen Rates eingestellt sind')
player_rates = config.cvar('player_rates', 1, 'showrates Befehl ein/aus - jeder kann die eingestellten Rates des Spielers, der "showrates" eingegeben hat, sehen (mehr Info in den Foren)')
map_player = config.cvar('map_player', 1, 'map Befehl ein/aus - zeigt an, auf welcher Map man gerade spielt')
player_join = config.cvar('player_join', 1, 'Schaltet ein/aus ob angezeigt werden soll, ob ein Spieler dem Spiel beigetreten ist')
player_active = config.cvar('player_active', 1, 'Schaltet ein/aus ob angezeigt werden soll, ob ein Spieler bereit ist, das Spiel zu starten')
funmaps = config.cvar('funmaps', 1, 'Schaltet ein/aus ob jedem Spieler "Assaultsuit" gegeben werden soll, wenn sie auf einer Funmap spawnen...')
fun_maps = config.cvar('fun_maps', 'Funmaps', 'Gebe jedem Spieler "Assaultsuit" wenn die Map einer der unten eingestellten ist (split with ";")')
hurt_self = config.cvar('hurt_self', 1, 'Schaltet ein/aus ob der Spieler gewarnt werden soll, wenn er sich selbst verletzt hat')
last_hit = config.cvar('last_hit', 1, 'Schaltet ein/aus ob dem Spieler angezeigt werden soll, wie viel Damage er dem Gegner beim letzten Treffer gegeben hat')
team_attack = config.cvar('team_attack', 1, 'Schaltet ein/aus ob der Spieler gewarnt werden soll, wenn er ein TeamMate angreift und wie viel HP dieser TeamMate noch hat')
death_weapon = config.cvar('death_weapon', 1, 'Schaltet ein/aus ob dem Spieler gesagt werden soll, mit welcher Waffe er gekillt wurde und wie viel HP der Gegner noch hat')
bomb_drop_death = config.cvar('bomb_drop_death', 1, 'Schaltet ein/aus ob den lebenden Terroristen gesagt werden soll, dass der Bomber die Bombe durch seinen Tod fallen gelassen hat')
bomb_drop = config.cvar('bomb_drop', 1, 'Schaltet ein/aus ob den lebenden Terroristen gesagt werden soll, dass die Bombe weggeworfen wurde')
bomb_picksup = config.cvar('bomb_picksup', 1, 'Schaltet ein/aus ob den lebenden Terroristen gesagt werden soll, dass ein Spieler die Bombe aufgehoben hat')
bomb_planting = config.cvar('bomb_planting', 1, 'Schaltet ein/aus ob den lebenden Terroristen gesagt werden soll, dass der Bomber die Bombe gerade legt')
bomb_has_been_planted = config.cvar('bomb_has_been_planted', 1, 'Schaltet ein/aus ob den lebenden Terroristen gesagt werden soll, dass der Bomber die Bombe erfolgreich gelegt hat')
bomb_defusing = config.cvar('bomb_defusing', 1, 'Schaltet ein/aus ob den lebenden Anti-Terroristen gesagt werden soll, dass die Bombe gerade entschaerft wird')
bomb_has_been_defused = config.cvar('bomb_has_been_defused', 1, 'Schaltet ein/aus ob den lebenden Anti-Terroristem gesagt werden soll, dass die Bombe vom Entschaerfer entschaerft wurde')
weapon_buy = config.cvar('weapon_buy', 0, 'Schaltet ein/aus ob dem Spieler gesagt werden soll, welche(n) Waffe/Gegenstand er gekauft hat (erfordert ExtendedEvents, es ist mehr nutzlos als nuetzlich)')
player_flash_duration = config.cvar('player_flash_duration', 1, 'Schaltet ein/aus ob dem Spieler gesagt werden soll, wie lange er geflashed wurde (erfordert ExtendedEvents)')
player_flash_alpha = config.cvar('player_flash_alpha', 1, 'Schaltet ein/aus ob dem Spieler gesagt werden soll, wie hoch die Wirkungsstaerke der FlashBang war (erfordert ExtendedEvents)')

config.write()

curmap = es.ServerVar('eventscripts_currentmap')
new_weapon_names = {'defuser':'Entschärfungskit', 'knife':'Messer', 'glock':'9x19-MM-Revolver', 'usp':'KM 45, Taktisch', 'p228':'228 (Kompakt)', 'deagle':'Night Hawk .50C', 'fiveseven':'ES Five-Seven', 'elite':'40 Dual Elites', 'ak47':'Avtomat Kalashnikova - 47', 'm4a1':'Maverick M4A1 Karabiner', 'galil':'IDF Defender', 'famas':'FAMAS (Clarion 5.56)', 'sg552':'Kreig 552', 'aug':'Bullpop', 'g3sg1':'D3/AU-1 (G3/SG1)', 'sg550':'Krieg 550 Kommando', 'scout':'Schmidt Scout', 'awp':'Artic Warfare Police', 'mp5navy':'MP5-Navy', 'p90':'ES-C90 (P90)', 'tmp':'Schmidt Maschinenpistole (TMP)', 'ump45':'KM UMP45', 'mac10':'Ingram MAC-10', 'm249':'M249 Para', 'm3':'Leone Kaliber 12 Super (M3)', 'xm1014':'Leone YG1265 Automatik-Schrotgewehr', 'hegrenade':'HE-Granate'}
new_map_names = {'de_dust':'Defusal - Dust', 'de_dust2':'Defusal - Dust2', 'de_aztec':'Defusal - Aztec', 'de_cbble':'Defusal - Cobblestone', 'de_chateau':'Defusal - Castle (Chateau)', 'de_piranesi':'Defusal - Piranesi', 'de_train':'Defusal - Train', 'de_tides':'Defusal - Tides', 'de_port':'Defusal - Port', 'de_inferno':'Defusal - Inferno', 'de_nuke':'Defusal - Nuke', 'de_prodigy':'Defusal - Prodigy', 'cs_italy':'Hostage Rescue - Italy', 'cs_office':'Hostage Rescue - Office', 'cs_havana':'Hostage Rescue - Havana', 'cs_compound':'Hostage Rescue - Compound', 'cs_assault':'Hostage Rescue - Assault', 'cs_militia':'Hostage Rescue - Militia', 'aim_ak-colt':'Aim - AK47 - M4A1', 'he_tennis_2005':'HE - Tennis, 2005'}

def load():
    config.execute()
    if not es.exists('saycommand', '!rates'):
        es.regsaycmd('!rates', 'notifications/rates')
    if not es.exists('saycommand', 'showrates'):
        es.regsaycmd('showrates', 'notifications/showrates')
    if not es.exists('saycommand', 'map'):
        es.regsaycmd('map', 'notifications/showmap')

def unload():
    es.unregsaycmd('!rates')
    es.unregsaycmd('showrates')
    es.unregsaycmd('map')

def player_say(ev):
    if ff == 1:
        if ev['text'] == 'ff':
            if es.ServerVar('mp_friendlyfire') == '1':
                es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenAn')
            else:
                es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenFriendly Fire: #greenAus')

def rates():
    if rate_player == 1:
        userid = es.getcmduserid()
        es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] #lightgreenDeine Rates sind...')
        player_rate = es.getclientvar(userid, 'rate')
        player_cmdrate = es.getclientvar(userid, 'cl_cmdrate')
        player_updaterate = es.getclientvar(userid, 'cl_updaterate')
        gamethread.delayed(.3, es.tell, (userid, '#multi', '#green[#lightgreenNotifications#green] #lightgreenrate: #green%s' % player_rate))
        gamethread.delayed(.3, es.tell, (userid, '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_cmdrate: #green%s' % player_cmdrate))
        gamethread.delayed(.3, es.tell, (userid, '#multi', '#green[#lightgreenNotifications#green] #lightgreencl_updaterate: #green%s' % player_updaterate))

def showrates():
    if player_rates == 1:
        userid = es.getcmduserid()
        userlist = playerlib.getPlayer(userid)
        playername = userlist.attributes['name']
        es.msg('#multi', '#green[#lightgreenNotifications#green] %s#lightgreen\'s Rates sind...' % playername)
        player_rate = es.getclientvar(userid, 'rate')
        player_cmdrate = es.getclientvar(userid, 'cl_cmdrate')
        player_updaterate = es.getclientvar(userid, 'cl_updaterate')
        gamethread.delayed(.3, es.msg, ('#multi', '#green[#lightgreenNotifications#green] #lightgreenrate: #green%s' % player_rate))
        gamethread.delayed(.3, es.msg, ('#multi', '#green[#lightgreenNotifications#green] #lightgreencl_cmdrate: #green%s' % player_cmdrate))
        gamethread.delayed(.3, es.msg, ('#multi', '#green[#lightgreenNotifications#green] #lightgreencl_updaterate: #green%s' % player_updaterate))

def showmap():
    if map_player == 1:
        map_name = str(curmap)
        es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenDerzeitige Map: #green%s' % new_map_names.get(map_name, map_name))

def round_start(ev):
    if website_enable == 1:
        es.msg('#multi', '#green[#lightgreenNotifications#green] #lightgreenBesucht #green%s' % str(website))

def player_connect(ev):
    if player_join == 1:
        es.msg('#multi', '#green[#lightgreenNotifications#green] %s #lightgreentritt dem Spiel bei...' % ev['name'])

def palyer_activate(ev):
    if player_active == 1:
        es.msg('#mutli', '#green[#lightgreenNotifications#green] %s #lightgreenist dem Spiel beigetreten' % ev['es_username'])

def player_spawn(ev):
    if funmaps == 1:
        map_name = str(curmap)
        if curmap in str(fun_maps).split(';'):
            es.server.cmd('es_xgive %s item_assaultsuit' % ev['userid'])
            es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenMap: #green%s #lightgreen- volle Rüstung...' % new_map_names.get(map_name, map_name))

def player_hurt(ev):
    if hurt_self == 1:
        if ev['attacker'] == ev['userid']:
            es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenDu hast dich selbst getroffen!')
        elif ev['es_userteam'] != ev['es_attackerteam']:
            if last_hit == 1:
                if ev['health'] < '1':
                    es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenLetzter Treffer an #green%s: %s Damage' % (ev['es_username'], ev['dmg_health']))
        else:
            if team_attack == 1:
                es.tell(ev['attacker'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenTeamMate #green%s #lightgreenhat noch: #green%s HP' % (ev['es_username'], ev['es_userhealth']))

def player_death(ev):
    if death_weapon == 1:
        weapon = ev['weapon'] 
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat Dich mit #green%s#lightgreen gekillt' % (ev['es_attackername'], new_weapon_names.get(weapon, weapon)))
        gamethread.delayed(.3, es.tell, (ev['userid'], '#multi', '#lightgreenUnd hat noch #green%s HP #lightgreenübrig' % ev['es_attackerhealth']))

def bomb_dropped(ev):
    for userid in playerlib.getUseridList('#t'):
        if bomb_drop_death == 1:
            if ev['es_userhealth'] < '1':
               es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreendurch seinen Tod fallen gelassen' % ev['es_username'])
        if bomb_drop == 1:
            es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreenweggeworfen' % ev['es_username'])

def bomb_pickup(ev):
    if bomb_picksup == 1:
        for userid in playerlib.getUseridList('#t'):
            es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreenaufgehoben' % ev['es_username'])

def bomb_beginplant(ev):
    if bomb_planting == 1:
        for userid in playerlib.getUseridList('#t'):
            es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenlegt gerade die #greenBombe#lightgreen...' % ev['es_username'])

def bomb_planted(ev):
    if bomb_has_been_planted == 1:
        for userid in playerlib.getUseridList('#t'):
            es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreengelegt' % ev['es_username'])

def bomb_begindefuse(ev):
    if bomb_defusing == 1:
        for userid in playerlib.getUseridList('#ct'):
            es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenentschärft gerade die #greenBombe#lightgreen...' % ev['es_username'])

def bomb_defused(ev):
    if bomb_has_been_defused == 1:
        for userid in playerlib.getUseridList('#ct'):
            es.tell(userid, '#multi', '#green[#lightgreenNotifications#green] %s #lightgreenhat die #greenBombe #lightgreenentschärft' % ev['es_username'])

def weapon_purchase(ev):
    if weapon_buy == 1:
        if ev['weapon'] != 'knife':
            if ev['weapon'] != 'vest':
                if ev['weapon'] != 'vesthelm':
                    weapon = ev['weapon']
                    es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenDu hast #green%s #lightgreengekauft' % new_weapon_names.get(weapon, weapon))

def player_flashed(ev):
    if player_flash_duration == 1:
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] Du wurdest geblendet. Die Wirkungsstärke betrug #green%s' % ev['alpha'])
    if player_flash_alpha == 1:
        es.tell(ev['userid'], '#multi', '#green[#lightgreenNotifications#green] #lightgreenDu wurdest für #green%s #lightgreenSekunden geblendet' % ev['duration'])
